Bug 124231 - RFE: 'Load "v4l"' entry needed in xorg.conf if bttv TV capture card is present
RFE: 'Load "v4l"' entry needed in xorg.conf if bttv TV capture card is present
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 17:04 EDT by Per Bjornsson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 14:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Bjornsson 2004-05-24 17:04:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040113

Description of problem:
I have an ATi Radeon 9000 graphics card and a Leadtek WinTV 2000-XP
Bt878-based TV card (uses bttv driver). With the default autogenerated
xorg.conf I can watch TV using TVtime, but there are problems such as
black boxes in the picture if it has been partially covered by a
transient window and when I set TVtime to full-screen display it takes
over the full screen and appears to scale the image to that size but I
only get an area the same size as the original window where I can
actually see anything, the rest of the screen is black.

If I add the line
  Load "v4l"
in the modules section of my xorg.conf this problem goes away -
resizing, workspace switching and going to fullscreen mode works
perfectly (I discovered this since I had that line in an old
XF86config file so I fugured I'd try it again). I presume that this
means that Xv isn't dealing completely with the bttv card without the
v4l X module loaded as well.

Since the xorg.conf file is (for most systems I presume) written by
system-config-display I presume that one solution would be to check
for bttv cards (presumably already detected by kudzu so they should be
in the hardware list) and add the 'Load "v4l"' line if one is present. 

Version-Release number of selected component (if applicable):
system-config-display-1.0.14-1

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-display with a bttv card in the system to
generate a xorg.conf file
2. Watch TV in a window using TVtime
3. Hit 'f' to go into fullscreen mode
    

Actual Results:  I get a black screen with a "viewport" the size of my
original TV overlay window in the upper left corner, where a fraction
of the TV picture is visible. (Interestingly if the TVtime window is
already maximized the TV image actually resizes to the full screen
size instead. I can still get black boxes in the image from switching
workspaces though.)

Expected Results:  A real full-screen TV image, no matter what the
original window size is. This is what I get if the X v4l module is loaded.

Additional info:
Comment 1 Brent Fox 2004-06-23 18:12:37 EDT
Marking as "request for enhancement" since we don't officially support
TV tuner cards.
Comment 2 Matthew Miller 2005-04-26 12:13:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 14:52:57 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.